Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class SortCriteria

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.expression.SortCriteria

Deprecated. Use `SortCriteria` instead.

public class SortCriteria
extends java.lang.Object

A little class which handles the sortBy part of a Search.

This object represents a single sort criteria, which is a property name and an ascending/descending flag. The class provides a utility method to parse a sortBy string into an array of SortCriteria.

Field Summary
`boolean` | `isAscending` Deprecated. The ascending or descending order.
`java.lang.String` | `property` Deprecated. The property name to sort on.
`java.lang.String` | `scope` Deprecated. The property scope name.

Constructor Summary
`SortCriteria(java.lang.String property)` Deprecated. Constructor.
`SortCriteria(java.lang.String property, boolean isAscending)` Deprecated. Constructor.
`SortCriteria(java.lang.String scope, java.lang.String property, boolean isAscending)` Deprecated. Constructor.

Method Summary
`static SortCriteria[]` | `getSortCriteria(java.lang.String sortBy)` Deprecated. Parse the given sort string and return an array of SortCriteria.
`java.lang.String` | `toString()` Deprecated. Convert to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scope

    public java.lang.String scope

  Deprecated.
  The property scope name.

### property

    public java.lang.String property

  Deprecated.
  The property name to sort on.

### isAscending

    public boolean isAscending

  Deprecated.
  The ascending or descending order.

Constructor Detail

### SortCriteria

    public SortCriteria(java.lang.String scope,
                        java.lang.String property,
                        boolean isAscending)

  Deprecated.
  Constructor.

### SortCriteria

    public SortCriteria(java.lang.String property,
                        boolean isAscending)

  Deprecated.
  Constructor.

### SortCriteria

    public SortCriteria(java.lang.String property)

  Deprecated.
  Constructor.

Method Detail

### getSortCriteria

    public static SortCriteria[] getSortCriteria(java.lang.String sortBy)
                                          throws java.lang.IllegalArgumentException

  Deprecated.
  Parse the given sort string and return an array of SortCriteria.

  Parameters:
    `sortBy` - the sort string (e.g. "identifier ASC, creationDate DESC").
  Returns:
    the array of SortCriteria.
  Throws:
    java.lang.IllegalArgumentException - thrown on an invalid sortBy string.

### toString

    public java.lang.String toString()

  Deprecated.
  Convert to a string.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved